// ti83plus.inc rearranged for tisdcc

#ifndef __TI83PTOKENS_H__
#define __TI83PTOKENS_H__

#ifdef TI83P

//======================================================================
//           Tokens
//======================================================================
//
#define EOSSTART               0
//
//
//   DISPLAY CONVERSIONS COME IMMEDIATELY BEFORE 'TSTORE'
//
#define DCONV        0x01
//
#define tToDMS                 DCONV       // 01h
#define tToDEC                 DCONV+1     // 02h
#define tToAbc                 DCONV+2     // 03h    > A b/c
//
#define tStore                 DCONV+3     // 04h Lstore                01
//
#define tBoxPlot               0x05
//
#define BRACKS                 0x06
//
#define tLBrack                BRACKS      // 06h '['
#define tRBrack                BRACKS+1    // 07h ']'
#define tLBrace                BRACKS+2    // 08h '{'
#define tRBrace                BRACKS+3    // 09h '}'
//
#define tPOST1                 BRACKS+4
//
#define tFromRad               tPOST1       // 0Ah Lradian
#define tFromDeg               tPOST1+1     // 0Bh Ldegree
#define tRecip                 tPOST1+2     // 0Ch Linverse
#define tSqr                   tPOST1+3     // 0Dh Lsquare
#define tTrnspos               tPOST1+4     // 0Eh Ltranspose
#define tCube                  tPOST1+5     // 0Fh '^3'
//
#define tLParen                0x10         // 10h '('
#define tRParen                0x11         // 11h ')'
//
//
#define IMUN                   0x12
//
#define tRound                 IMUN        // 12h 'round'
#define tPxTst                 IMUN+1      // 13h 'PXL-TEST'
#define tAug                   IMUN+2      // 14h 'aug'
#define tRowSwap               IMUN+3      // 15h 'rSwap'
#define tRowPlus               IMUN+4      // 16h 'rAdd'
#define tmRow                  IMUN+5      // 17h 'multR'
#define tmRowPlus              IMUN+6      // 18h 'mRAdd'
#define tMax                   IMUN+7      // 19h 'max'
#define tMin                   IMUN+8      // 1Ah 'min'
#define tRToPr                 IMUN+9      // 1Bh 'R>Pr
#define tRToPo                 IMUN+10     // 1Ch 'R>Po
#define tPToRx                 IMUN+11     // 1Dh 'P>Rx
#define tPToRy                 IMUN+12     // 1Eh 'P>Ry
#define tMedian                IMUN+13     // 1Fh 'MEDIAN
#define tRandM                 IMUN+14     // 20h 'randM'
#define tMean                  IMUN+15     // 21h
#define tRoot                  IMUN+16     // 22h 'ROOT'
#define tSeries                IMUN+17     // 23h 'seq'
#define tFnInt                 IMUN+18     // 24h 'fnInt'
#define tNDeriv                IMUN+19     // 25h 'fnIr'
#define tEvalF                 IMUN+20     // 26h
#define tFmin                  IMUN+21     // 27h
#define tFmax                  IMUN+22     // 28h
//
#define tEOSEL                 IMUN+23
//
#define tSpace                 tEOSEL       // 29h   ' '
#define tString                tEOSEL+1     // 2Ah  '"'
#define tComma                 tEOSEL+2     // 2Bh  ','
//
//
#define tii                    0x2C         // i
//
//======================================================================
//           Postfix Functions
//======================================================================
//
#define tPost                  0x2D
//
#define tFact                  tPost       // 2Dh '!'
//
#define tCubicR                0x2E
#define tQuartR                0x2F

//======================================================================
//           Number Tokens 
//======================================================================
//
#define NUMS                   0x30
//
#define t0                     NUMS        // 30h
#define t1                     NUMS+1      // 31h
#define t2                     NUMS+2      // 32h
#define t3                     NUMS+3      // 33h
#define t4                     NUMS+4      // 34h
#define t5                     NUMS+5      // 35h
#define t6                     NUMS+6      // 36h
#define t7                     NUMS+7      // 37h
#define t8                     NUMS+8      // 38h
#define t9                     NUMS+9      // 39h
#define tDecPt                 NUMS+10     // 3Ah
#define tee                    NUMS+11     // 3Bh
//
//======================================================================
//            BINARY OP
//======================================================================
//
#define tOr                    0x3C         // 3Ch  '_or_'
#define tXor                   0x3D         // 3Dh
//
#define tColon                 0x3E         // 3Eh ':'
#define tEnter                 0x3F         // 3Fh  Lenter
//
#define tAnd                   0x40         // 40h  '_and_'       
//
//======================================================================
//            LETTER TOKENS   
//======================================================================

//
#define LET                    0x41
//
#define tA                     LET         // 41h
#define tB                     LET+1       // 42h
#define tC                     LET+2       // 43h
#define tD                     LET+3       // 44h
#define tE                     LET+4       // 45h
#define tF                     LET+5       // 46h
#define tG                     LET+6       // 47h
#define tH                     LET+7       // 48h
#define tI                     LET+8       // 49h
#define tJ                     LET+9       // 4Ah
#define tK                     LET+10      // 4Bh
#define tL                     LET+11      // 4Ch
#define tM                     LET+12      // 4Dh
#define tN                     LET+13      // 4Eh
#define tO                     LET+14      // 4Fh
#define tP                     LET+15      // 50h
#define tQ                     LET+16      // 51h
#define tR                     LET+17      // 52h
#define tS                     LET+18      // 53h
#define tT                     LET+19      // 54h
#define tU                     LET+20      // 55h
#define tV                     LET+21      // 56h
#define tW                     LET+22      // 57h
#define tX                     LET+23      // 58h
#define tY                     LET+24      // 59h
#define tZ                     LET+25      // 5Ah
#define tTheta                 LET+26      // 5Bh
//
//======================================================================
//   THESE VAR TOKENS ARE 1ST OF A DOUBLE TOKEN 
//======================================================================

//
#define vToks        LET+27    //
//
//       USER MATRIX TOKEN, 2ND TOKEN NEEDED FOR NAME
//
#define tVarMat                vToks       // 5Ch
//
//       USER LIST TOKEN, 2ND TOKEN NEEDED FOR NAME
//
#define tVarLst                vToks+1     // 5Dh
//
//       USER ATION TOKEN, 2ND TOKEN NEEDED FOR NAME
//
#define tVarEqu                vToks+2     // 5Eh
#define tProg                  vToks+3     // 5Fh
//
//       USER PICT TOKEN, 2ND TOKEN NEEDED FOR NAME
//
#define tVarPict               vToks+4     // 60h
//
//       USER GDB TOKEN, 2ND TOKEN NEEDED FOR NAME
//
#define tVarGDB                vToks+5     // 61h
#define tVarOut                vToks+6     // 62h
#define tVarSys                vToks+7     // 63h
//
//
//======================================================================
//            Mode Setting Commands
//======================================================================

//
#define MODESA                 vToks+8     // 64h
//
#define tRad                   MODESA      // 64h 'Radian'
#define tDeg                   MODESA+1    // 65h 'Degree'
#define tNormF                 MODESA+2    // 66h 'Normal'
#define tSci                   MODESA+3    // 67h 'Sci'
#define tEng                   MODESA+4    // 68h 'Eng'
#define tFloat                 MODESA+5    // 69h 'Float'
//
#define CMPS                   0x6A
//
#define tEQ                    CMPS        // 6Ah '=='
#define tLT                    CMPS+1      // 6Bh '<'
#define tGT                    CMPS+2      // 6Ch '>'
#define tLE                    CMPS+3      // 6Dh LLE
#define tGE                    CMPS+4      // 6Eh LGE
#define tNE                    CMPS+5      // 6Fh LNE
//
//======================================================================
//            BINARY OP
//======================================================================
//
#define tAdd                   0x70         // 70h '+'
#define tSub                   0x71         // 71h '-'
#define tAns                   0x72         // 72h
//
//======================================================================
//            Mode Setting Commands
//======================================================================
//
#define MODES                  0x73
//
#define tFix                   MODES       // 73h 'Fix_'
#define tSplitOn               MODES+1     // 74h
#define tFullScreen            MODES+2     // 75h
#define tStndrd                MODES+3     // 76h 'Func'
#define tParam                 MODES+4     // 77h 'Param'
#define tPolar                 MODES+5     // 78h 'Pol'
#define tSeqG                  MODES+6     // 79h
#define tAFillOn               MODES+7     // 7Ah 'AUTO FILL ON
#define tAFillOff              MODES+8     // 7Bh
#define tACalcOn               MODES+9     // 7Ch
#define tACalcOff              MODES+10    // 7Dh 'AutoFill OFF
//
//       GRAPH FORMAT TOKENS ARE 2 BYTE TOKENS
//
#define tGFormat               MODES+11    // 7Eh
//
#define tBoxIcon               0x7F
#define tCrossIcon             0x80
#define tDotIcon               0x81
//
//======================================================================
//            (More) BINARY OP
//======================================================================
//
#define tMul                   0x82         // 82h  '*'
#define tDiv                   0x83         // 83h  '/'
//
//======================================================================
//            SOME GRAPH COMMANDS
//======================================================================
//
#define GRCMDS                 0x84
//
#define tTrace                 GRCMDS      // 84h 'Trace'
#define tClDrw                 GRCMDS+1    // 85h 'ClDrw'
#define tZoomStd               GRCMDS+2    // 86h 'ZStd'
#define tZoomtrg               GRCMDS+3    // 87h 'Ztrg'
#define tZoomBox               GRCMDS+4    // 88h 'ZBOX'
#define tZoomIn                GRCMDS+5    // 89h 'ZIn'
#define tZoomOut               GRCMDS+6    // 8Ah 'ZOut'
#define tZoomSqr               GRCMDS+7    // 8Bh 'ZSqr'
#define tZoomInt               GRCMDS+8    // 8Ch 'ZInt'
#define tZoomPrev              GRCMDS+9    // 8Dh 'ZPrev'
#define tZoomDec               GRCMDS+10   // 8Eh 'ZDecm'
#define tZoomStat              GRCMDS+11   // 8Fh 'ZStat
#define tUsrZm                 GRCMDS+12   // 90h 'ZRcl'
#define tPrtScrn               GRCMDS+13   // 91h 'PrtScrn'
#define tZoomSto               GRCMDS+14   // 92h  ZOOM STORE
#define tText                  GRCMDS+15   // 93h
//
//======================================================================
//           BINARY OP  (Combination & Permutation)
//======================================================================
//
#define tnPr                   GRCMDS+16   // 94h '_nPr_'
#define tnCr                   GRCMDS+17   // 95h '_nCr_'
//
//======================================================================
//           MORE GRAPH COMMANDS
//======================================================================
//
#define tYOn                   GRCMDS+18   // 96h 'FnOn_'
#define tYOff                  GRCMDS+19   // 97h 'FnOff_'
#define tStPic                 GRCMDS+20   // 98h 'StPic_'
#define tRcPic                 GRCMDS+21   // 99h 'RcPic_'
#define tStoDB                 GRCMDS+22   // 9Ah 'StGDB_'
#define tRclDB                 GRCMDS+23   // 9Bh 'RcGDB_'
#define tLine                  GRCMDS+24   // 9Ch 'Line'
#define tVert                  GRCMDS+25   // 9Dh 'Vert_'
#define tPtOn                  GRCMDS+26   // 9Eh 'PtOn'
#define tPtOff                 GRCMDS+27   // 9Fh 'PtOff'
//
//======================================================================
//           TOKEN A0 CANNOT BE AN EOS FUNCTION
//           SINCE LOW MULT=A0 ALREADY
//======================================================================
//
#define tPtChg                 GRCMDS+28   // A0h 'PtChg'
#define tPXOn                  GRCMDS+29   // A1h
#define tPXOff                 GRCMDS+30   // A2h
#define tPXChg                 GRCMDS+31   // A3h
#define tShade                 GRCMDS+32   // A4h 'Shade'
#define tCircl                 GRCMDS+33   // A5h 'Circl'
#define tHorz                  GRCMDS+34   // A6h 'HORIZONTAL'
#define tTanLn                 GRCMDS+35   // A7h 'TanLn'
#define tDrInv                 GRCMDS+36   // A8h 'DrInv_'
#define tDrawF                 GRCMDS+37   // A9h 'DrawF_'
//
#define tVarStrng              0xAA
//
//======================================================================
//           Functions with No Arguments                                    
//======================================================================
//
#define NOARG        0xAB
//
#define tRand                  NOARG       // ABh 'rand'
#define tPi                    NOARG+1     // ACh  Lpi
#define tGetKey                NOARG+2     // ADh 'getKy'
//
//
#define tAPost                 tGetKey+1   // APOSTROPHY
#define tQuest                 tAPost+1    // QUESTION MARK
//
//
#define UNARY        tQuest+1              // B0h
//
#define tChs                   UNARY       // B0h
#define tInt                   UNARY+1     // B1h
#define tAbs                   UNARY+2     // B2h
#define tDet                   UNARY+3     // B3h
#define tIdent                 UNARY+4     // B4h
#define tDim                   UNARY+5     // B5h
#define tSum                   UNARY+6     // B6h
#define tProd                  UNARY+7     // B7h
#define tNot                   UNARY+8     // B8h
#define tIPart                 UNARY+9     // B9h
#define tFPart                 UNARY+10    // BAh
//
//
//======================================================================
//           NEW 2 BYTE TOKENS
//======================================================================
//
#define t2ByteTok              0xBB         //
//
//
#define UNARYLR      UNARY+12
//
#define tSqrt                  UNARYLR     // BCh
#define tCubRt                 UNARYLR+1   // BDh
#define tExp                   UNARYLR+3   // BFh
#define tLog                   UNARYLR+4   // C0h
#define tALog                  UNARYLR+5   // C1h
#define tSin                   UNARYLR+6   // C2h
#define tASin                  UNARYLR+7   // C3h
#define tCos                   UNARYLR+8   // C4h
#define tACos                  UNARYLR+9   // C5h
#define tTan                   UNARYLR+10  // C6h
#define tATan                  UNARYLR+11  // C7h
#define tSinH                  UNARYLR+12  // C8h
#define tASinH                 UNARYLR+13  // C9h
#define tCoshH                 UNARYLR+14  // CAh
#define tACosH                 UNARYLR+15  // CBh
#define tTanH                  UNARYLR+16  // CCh
#define tATanH                 UNARYLR+17  // CDh
// 
//======================================================================
//           SOME PROGRAMMING COMMANDS                                      
//======================================================================
//
#define PROGTOK      UNARYLR+18
//
#define tIf                    PROGTOK     // CEh
#define tThen                  PROGTOK+1   // CFh
#define tElse                  PROGTOK+2   // D0h
#define tWhile                 PROGTOK+3   // D1h
#define tRepeat                PROGTOK+4   // D2h
#define tFor                   PROGTOK+5   // D3h
#define tEnd                   PROGTOK+6   // D4h
#define tReturn                PROGTOK+7   // D5h
#define tLbl                   PROGTOK+8   // D6h   'Lbl_'
#define tGoto                  PROGTOK+9   // D7h   'Goto_'
#define tPause                 PROGTOK+10  // D8h   'Pause_'
#define tStop                  PROGTOK+11  // D9h   'Stop'
#define tISG                   PROGTOK+12  // DAh   'IS>'
#define tDSL                   PROGTOK+13  // DBh   'DS<'
#define tInput                 PROGTOK+14  // DCh   'Input_'
#define tPrompt                PROGTOK+15  // DDh   'Prompt_'
#define tDisp                  PROGTOK+16  // DEh   'Disp_'
#define tDispG                 PROGTOK+17  // DFh   'DispG'
//
#define tOutput                PROGTOK+18  // E0h    'Outpt'
#define tClLCD                 PROGTOK+19  // E1h    'ClLCD'
#define tConst                 PROGTOK+20  // E2h    'Fill'
#define tSortA                 PROGTOK+21  // E3h    'sortA_'
#define tSortD                 PROGTOK+22  // E4h    'sortD_'
#define tDispTab               PROGTOK+23  // E5h    'Disp Table
#define tMenu                  PROGTOK+24  // E6h    'Menu'
#define tSendMBL               PROGTOK+25  // E7h    'SEND'
#define tGetMBL                PROGTOK+26  // E8h    'GET'
//
//======================================================================
//           STAT PLOT COMMANDS                                             
//======================================================================
//
#define statPCmd               PROGTOK+27
//
#define tPlotOn                statPCmd    // E9h     ' PLOTSON'
#define tPlotOff               statPCmd+1   // EAh     ' PLOTSOFF
//
#define tListName              0xEB        // LIST DESIGNATOR
//
#define tPlot1                 0xEC
#define tPlot2                 0xED
#define tPlot3                 0xEE
//
#define tUnused01              0xEF        //        available?
//
#define tPower                 0xF0        //        '^'
#define tXRoot                 0xF1        //        LsupX,Lroot

#define STATCMD                0xF2
//
#define tOneVar                STATCMD     // F2h    'OneVar_'
#define tTwoVar                STATCMD+1   // F3h
#define tLR                    STATCMD+2   // F4h    'LinR(A+BX
#define tLRExp                 STATCMD+3   // F5h    'ExpR_'
#define tLRLn                  STATCMD+4   // F6h    'LnR_'
#define tLRPwr                 STATCMD+5   // F7h    'PwrR_'
#define tMedMed                STATCMD+6   // F8h
#define tQuad                  STATCMD+7   // F9h
#define tClrLst                STATCMD+8   // FAh    'CLEAR LIST
#define tClrTbl                STATCMD+9   // FBh    CLEAR TABLE
#define tHist                  STATCMD+10  // FCh    'Hist_'
#define txyLine                STATCMD+11  // FDh    'xyline_'
#define tScatter               STATCMD+12  // FEh    'Scatter_'
#define tLR1                   STATCMD+13  // FFh    'LINR(AX+B

//       
//======================================================================
//           2ND HALF OF GRAPH FORMAT TOKENS
//======================================================================
//           Format settings commands
//
#define GFMT                   0
//
#define tSeq                   GFMT        // 'SeqG'
#define tSimulG                GFMT+1      // 'SimulG'
#define tPolarG                GFMT+2      // 'PolarGC'
#define tRectG                 GFMT+3      // 'RectGC'
#define tCoordOn               GFMT+4      // 'CoordOn'
#define tCoordOff              GFMT+5      // 'CoordOff'
#define tDrawLine              GFMT+6      // 'DrawLine'
#define tDrawDot               GFMT+7      // 'DrawDot'
#define tAxisOn                GFMT+8      // 'AxesOn'
#define tAxisOff               GFMT+9      // 'AxesOff'
#define tGridOn                GFMT+10     // 'GridOn'
#define tGridOff               GFMT+11     // 'GridOff'
#define tLblOn                 GFMT+12     // 'LabelOn'
#define tLblOff                GFMT+13     // 'LabelOff'
#define tWebOn                 GFMT+14     // 'WebOn'
#define tWebOff                GFMT+15     // 'WebOFF'
#define tuv                    GFMT+16     // U vs V
#define tvw                    GFMT+17     // V vs W
#define tuw                    GFMT+18     // U vs W
//
//======================================================================
//           2ND HALF OF USER MATRIX TOKENS                                 
//======================================================================
//
#define tMatA                  0x00         // MAT A
#define tMatB                  0x01         // MAT B
#define tMatC                  0x02         // MAT C
#define tMatD                  0x03         // MAT D
#define tMatE                  0x04         // MAT E
#define tMatF                  0x05         // MAT F
#define tMatG                  0x06         // MAT G
#define tMatH                  0x07         // MAT H
#define tMatI                  0x08         // MAT I
#define tMatJ                  0x09         // MAT J
//      
//======================================================================
//           2ND HALF OF USER LIST TOKENS
//======================================================================
//
#define tL1                    0x00         // LIST 1
#define tL2                    0x01         // LIST 2
#define tL3                    0x02         // LIST 3
#define tL4                    0x03         // LIST 4
#define tL5                    0x04         // LIST 5
#define tL6                    0x05         // LIST 6

//
//======================================================================
//           2ND HALF OF USER ATION TOKENS
//======================================================================
//
//       "Y" ATIONS HAVE BIT 4 SET
//
#define tY1                    0x10         // Y1
#define tY2                    0x11         // Y2
#define tY3                    0x12         // Y3
#define tY4                    0x13         // Y4
#define tY5                    0x14         // Y5
#define tY6                    0x15         // Y6
#define tY7                    0x16         // Y7
#define tY8                    0x17         // Y8
#define tY9                    0x18         // Y9
#define tY0                    0x19         // Y0
//
//       PARAM ATIONS HAVE BIT 5 SET
//
#define tX1T                   0x20         // X1t
#define tY1T                   0x21         // Y1t
#define tX2T                   0x22         // X2t
#define tY2T                   0x23         // Y2t
#define tX3T                   0x24         // X3t
#define tY3T                   0x25         // Y3t
#define tX4T                   0x26         // X4t
#define tY4T                   0x27         // Y4t
#define tX5T                   0x28         // X5t
#define tY5T                   0x29         // Y5t
#define tX6T                   0x2A         // X6t
#define tY6T                   0x2B         // Y6t
//
//       POLAR ATIONS HAVE BIT 6 SET
//
#define tR1                    0x40         // R1
#define tR2                    0x41         // R2
#define tR3                    0x42         // R3
#define tR4                    0x43         // R4
#define tR5                    0x44         // R5
#define tR6                    0x45         // R6
//
//       RECURSION ATIONS HAVE BIT 7 SET
//
#define tun                    0x80         // Un
#define tvn                    0x81         // Vn
#define twn                    0x82         // Wn
//
//======================================================================
//           2ND HALF OF USER PICTURE TOKENS                                
//======================================================================
//
#define tPic1                  0x00         // PIC1
#define tPic2                  0x01         // PIC2
#define tPic3                  0x02         // PIC3
#define tPic4                  0x03         // PIC4
#define tPic5                  0x04         // PIC5
#define tPic6                  0x05         // PIC6
#define tPic7                  0x06         // PIC7
#define tPic8                  0x07         // PIC8
#define tPic9                  0x08         // PIC9
#define tPic0                  0x09         // PIC0
// 
//======================================================================
//           2ND HALF OF USER GRAPH DATABASE TOKENS                         
//======================================================================
//
#define tGDB1                  0x00         // GDB1
#define tGDB2                  0x01         // GDB2
#define tGDB3                  0x02         // GDB3
#define tGDB4                  0x03         // GDB4
#define tGDB5                  0x04         // GDB5
#define tGDB6                  0x05         // GDB6
#define tGDB7                  0x06         // GDB7
#define tGDB8                  0x07         // GDB8
#define tGDB9                  0x08         // GDB9
#define tGDB0                  0x09         // GDB0
//  
//======================================================================
//           2ND HALF OF STRING VARS                                        
//======================================================================
//
#define tStr1                  0x00
#define tStr2                  0x01
#define tStr3                  0x02
#define tStr4                  0x03
#define tStr5                  0x04
#define tStr6                  0x05
#define tStr7                  0x06
#define tStr8                  0x07
#define tStr9                  0x08
#define tStr0                  0x09

// 
//======================================================================
//           2ND HALF OF SYSTEM OUTPUT ONLY VARIABLES                       
//======================================================================
//
//
//   OPEN               0x00
//
#define tRegEq                 0x01         // REGRESSION EQUATION
//
#define tStatN                 0x02         // STATISTICS N
//
#define tXMean                 0x03         // X MEAN
#define tSumX                  0x04         // SUM(X)
#define tSumXSqr               0x05         // SUM(X^2)
#define tStdX                  0x06         // STANDARD DEV X
#define tStdPX                 0x07         // STANDARD DEV POP X
#define tMinX                  0x08         // Min X VALUE
#define tMaxX                  0x09         // Max X VALUE
//
#define tMinY                  0x0A         // Min Y VALUE
#define tMaxY                  0x0B         // Max Y VALUE
#define tYmean                 0x0C         // Y MEAN
#define tSumY                  0x0D         // SUM(Y)
#define tSumYSqr               0x0E         // SUM(Y^2)
#define tStdY                  0x0F         // STANDARD DEV Y
#define tStdPY                 0x10         // STANDARD DEV POP Y
//
#define tSumXY                 0x11         // SUM(XY)
#define tCorr                  0x12         // CORRELATION
#define tMedX                  0x13         // MED(X)
#define tQ1                    0x14         // 1ST QUADRANT OF X
#define tQ3                    0x15         // 3RD QUADRANT OF X
#define tQuadA                 0x16         // 1ST TERM OF QUAD POLY REG/ Y-INT
#define tQuadB                 0x17         // 2ND TERM OF QUAD POLY REG/ SLOPE
#define tQuadC                 0x18         // 3RD TERM OF QUAD POLY REG
#define tCubeD                 0x19         // 4TH TERM OF CUBIC POLY REG
#define tQuartE                0x1A         // 5TH TERM OF QUART POLY REG
#define tMedX1                 0x1B         // x1 FOR MED-MED
#define tMedX2                 0x1C         // x2 FOR MED-MED
#define tMedX3                 0x1D         // x3 FOR MED-MED
#define tMedY1                 0x1E         // y1 FOR MED-MED
#define tMedY2                 0x1F         // y2 FOR MED-MED
#define tMedY3                 0x20         // y3 FOR MED-MED
//
#define tRecurn		       0x21		// RECURSION N
#define tStatP                 0x22
#define tStatZ                 0x23
#define tStatT                 0x24
#define tStatChi               0x25
#define tStatF                 0x26
#define tStatDF                0x27
#define tStatPhat              0x28
#define tStatPhat1             0x29
#define tStatPhat2             0x2A
#define tStatMeanX1            0x2B
#define tStatStdX1             0x2C
#define tStatN1                0x2D
#define tStatMeanX2            0x2E
#define tStatStdX2             0x2F
#define tStatN2                0x30
#define tStatStdXP             0x31
#define tStatLower             0x32
#define tStatUpper             0x33
#define tStat_s                0x34
#define tLRSqr                 0x35         // r^2
#define tBRSqr                 0x36         // R^2
//
//======================================================================
//       These next tokens are only used to access the data
//       they are display only and the user cannot access them at all
//======================================================================
//
#define tF_DF         0x37       // ANOFAV FACTOR DF
#define tF_SS         0x38       // ANOFAV FACTOR SS
#define tF_MS         0x39       // ANOFAV FACTOR MS
#define tE_DF         0x3A       // ANOFAV ERROR DF
#define tE_SS         0x3B       // ANOFAV ERROR SS
#define tE_MS         0x3C       // ANOFAV ERROR MS
//
//
//======================================================================
//           2ND HALF OF SYSTEM INPUT/OUTPUT VARIABLES
//======================================================================
//      SYSTEM VARIABLE ATES
//
#define tuXscl         0
#define tuYscl         1
#define tXscl          2
#define tYscl          3
#define tRecuru0       4        // U 1ST INITIAL COND
#define tRecurv0       5        // V 1ST INITIAL COND
#define tun1           6        // U(N-1)    ; NOT USED
#define tvn1           7        // V(N-1)    ; NOT USED
#define tuRecuru0      8        //
#define tuRecurv0      9        //
//
#define tXmin          0x0A
#define tXmax          0x0B
#define tYmin          0x0C
#define tYmax          0x0D
#define tTmin          0x0E
#define tTmax          0x0F
#define tThetaMin      0x10
#define tThetaMax      0x11
#define tuXmin         0x12
#define tuXmax         0x13
#define tuYmin         0x14
#define tuYmax         0x15
#define tuThetMin      0x16
#define tuThetMax      0x17
#define tuTmin         0x18
#define tuTmax         0x19
#define tTblMin        0x1A
#define tPlotStart     0x1B
#define tuPlotStart    0x1C
#define tnMax          0x1D
#define tunMax         0x1E
#define tnMin          0x1F
#define tunMin         0x20
//
#define tTblStep	  0x21
#define tTStep		  0x22
#define tThetaStep	  0x23
#define tuTStep		  0x24
#define tuThetStep	  0x25
//
#define tDeltaX		  0x26
#define tDeltaY		  0x27
//
#define tXFact		  0x28
#define tYFact		  0x29
//
#define tTblInput              0x2A
//
#define tFinN                  0x2B
#define tFinI                  0x2C
#define tFinPV                 0x2D
#define tFinPMT                0x2E
#define tFinFV                 0x2F
#define tFinPY                 0x30
#define tFinCY                 0x31
//
#define tRecurw0               0x32         // w0(1)
#define tuRecurw0              0x33
//
#define tPlotStep              0x34
#define tuPlotStep             0x35
//
#define tXres                  0x36
#define tuXres                 0x37
//
#define tRecuru02              0x38         // u0(2)
#define tuRecuru02             0x39
#define tRecurv02              0x3C         // v0(2)
#define tuRecurv02             0x3D
#define tRecurw02              0x3E         // w0(2)
#define tuRecurw02             0x3F
//
//======================================================================
//           2nd byte of t2ByteTok tokens
//======================================================================
//
#define tFinNPV                0x00         //
#define tFinIRR                0x01         //
#define tFinBAL                0x02         //
#define tFinPRN                0x03         //
#define tFinINT                0x04         //
#define tFinToNom              0x05         //
#define tFinToEff              0x06         //
#define tFinDBD                0x07         //
#define tLCM                   0x08         //
#define tGCD                   0x09         //
#define tRandInt               0x0A         //
#define tRandBin               0x0B         //
#define tSubStrng              0x0C         //
#define tStdDev                0x0D         //
#define tVariance              0x0E         //
#define tInStrng               0x0F         //
#define tDNormal               0x10         //
#define tInvNorm               0x11         //
#define tDT                    0x12         //
#define tChI                   0x13         //
#define tDF                    0x14         //
#define tBINPDF                0x15         //
#define tBINCDF                0x16         //
#define tPOIPDF                0x17         //
#define tPOICDF                0x18         //
#define tGEOPDF                0x19         //
#define tGEOCDF                0x1A         //
#define tNormalPDF             0x1B         //
#define tTPDF                  0x1C         //
#define tChiPDF                0x1D         //
#define tFPDF                  0x1E         //
#define tRandNorm              0x1F         //
#define tFinFPMT               0x20         //
#define tFinFI                 0x21         //
#define tFinFPV                0x22         //
#define tFinFN                 0x23         //
#define tFinFFV                0x24         //
#define tConj                  0x25         //
#define tReal                  0x26         //
#define tImag                  0x27         //
#define tAngle                 0x28         //
#define tCumSum                0x29         //
#define tExpr                  0x2A         //
#define tLength                0x2B         //
#define tDeltaLst              0x2C         //
#define tRef                   0x2D         //
#define tRRef                  0x2E         //
#define tToRect                0x2F         //
#define tToPolar               0x30         //
#define tConste                0x31         //
#define tSinReg                0x32         //
#define tLogistic              0x33         //
#define tLinRegTTest           0x34         //
#define tShadeNorm             0x35         //
#define tShadeT                0x36         //
#define tShadeChi              0x37         //
#define tShadeF                0x38         //
#define tMatToLst              0x39         //
#define tLstToMat              0x3A         //
#define tZTest                 0x3B         //
#define tTTest                 0x3C         //
#define t2SampZTest            0x3D         //
#define t1PropZTest            0x3E         //
#define t2PropZTest            0x3F         //
#define tChiTest               0x40         //
#define tZIntVal               0x41         //
#define t2SampZInt             0x42         //
#define t1PropZInt             0x43         //
#define t2PropZInt             0x44         //
#define tGraphStyle            0x45         //
#define t2SampTTest            0x46         //
#define t2SampFTest            0x47         //
#define tTIntVal               0x48         //
#define t2SampTInt             0x49         //
#define tSetupLst              0x4A         //
#define tFinPMTend             0x4B         //
#define tFinPMTbeg             0x4C         //
#define tRealM                 0x4D         //
#define tPolarM                0x4E         //
#define tRectM                 0x4F         //
#define tExprOn                0x50         //
#define tExprOff               0x51         //
#define tClrAllLst             0x52         //
#define tGetCalc               0x53         //
#define tDelVar                0x54         //
#define tEquToStrng            0x55         //
#define tStrngToEqu            0x56         //
#define tDelLast               0x57         //
#define tSelect                0x58         //
#define tANOVA                 0x59         //
#define tModBox                0x5A         //
#define tNormProb              0x5B         //
//
//
#define tMGT                   0x64         // VERTICAL SPLIT
#define tZFit                  0x65         // ZOOM FIT
#define tDiag_on               0x66         // DIANOSTIC DISPLAY ON
#define tDiag_off              0x67         // DIANOSTIC DISPLAY OFF
#define tOkEnd2v0              0x67         //end of 2byte tokens for version 0.
#define tArchive               0x68         //archive
#define tUnarchive             0x69         //unarchive
#define tasm			  0x6A
#define tasmComp		  0x6B	      // asm compile
#define tasmPrgm		  0x6C	      // signifies a program is asm
#define tasmCmp 		  0x6D	      // asm program is compiled
//
#define tLcapAAcute            0x6E
#define tLcapAGrave            0x6F
#define tLcapACaret            0x70
#define tLcapADier             0x71
#define tLaAcute               0x72
#define tLaGrave               0x73
#define tLaCaret               0x74
#define tLaDier                0x75
#define tLcapEAcute            0x76
#define tLcapEGrave            0x77
#define tLcapECaret            0x78
#define tLcapEDier             0x79
#define tLeAcute               0x7A
#define tLeGrave               0x7B
#define tLeCaret               0x7C
#define tLeDier                0x7D
//
#define tLcapIGrave            0x7F
#define tLcapICaret            0x80
#define tLcapIDier             0x81
#define tLiAcute               0x82
#define tLiGrave               0x83
#define tLiCaret               0x84
#define tLiDier                0x85
#define tLcapOAcute            0x86
#define tLcapOGrave            0x87
#define tLcapOCaret            0x88
#define tLcapODier             0x89
#define tLoAcute               0x8A
#define tLoGrave               0x8B
#define tLoCaret               0x8C
#define tLoDier                0x8D
#define tLcapUAcute            0x8E
#define tLcapUGrave            0x8F
#define tLcapUCaret            0x90
#define tLcapUDier             0x91
#define tLuAcute               0x92
#define tLuGrave               0x93
#define tLuCaret               0x94
#define tLuDier                0x95
#define tLcapCCed              0x96
#define tLcCed                 0x97
#define tLcapNTilde            0x98
#define tLnTilde               0x99
#define tLaccent               0x9A
#define tLgrave                0x9B
#define tLdieresis             0x9C
#define tLquesDown             0x9D
#define tLexclamDown           0x9E
#define tLalpha                0x9F
#define tLbeta                0xa0
#define tLgamma               0xa1
#define tLcapDelta            0xa2
#define tLdelta               0xa3
#define tLepsilon             0xa4
#define tLlambda              0xa5
#define tLmu                  0xa6
#define tLpi                  0xa7
#define tLrho                 0xa8
#define tLcapSigma            0xa9
//
//
#define tLphi                 0xaB
#define tLcapOmega            0xaC
#define tLphat                0xaD
#define tLchi                 0xaE
#define tLstatF               0xaF
//

#define tLa           0xb0
#define tLb           0xb1
#define tLc           0xb2
#define tLd           0xb3
#define tLsmalle      0xb4
#define tLf           0xb5
#define tLsmallg      0xb6
#define tLh           0xb7
#define tLi           0xb8
#define tLj           0xb9
#define tLk           0xbA
//

#define tLl           0xbC
#define tLm           0xbD
#define tLn           0xbE
#define tLo           0xbF
#define tLp           0xc0
#define tLq           0xc1
#define tLsmallr      0xc2
#define tLs           0xc3
#define tLsmallt      0xc4
#define tLu           0xc5
#define tLv           0xc6
#define tLw           0xc7
#define tLx           0xc8
#define tLy           0xc9
#define tLz           0xcA
#define tLsigma               0xcb
#define tLtau                 0xcc
#define tLcapIAcute           0xcd
//
//
#define tGarbagec     0xCe
#define LastToken             0xCe         //tLAST TOKEN IN THIS VERSION...

#endif // of TI83P

#endif // of __TI83PTOKENS_H__
