/*-------------------------------------------------------------------------
  cutbin - cuts away the first part of a binary file

  Copyright (C) 2005 Florian Richter <Florian_Richter@gmx.de>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   In other words, you are welcome to use, share and improve this program.
   You are forbidden to forbid anyone else to use, share and improve
   what you give them.   Help stamp out software-hoarding!
-------------------------------------------------------------------------*/

#include <stdio.h>
#include <string.h>

#ifndef MSDOS
#define LINUX
#endif

int main(int argc, char *argv[]) {
  if(argc!=4) {
	printf("cutbin - cuts away the first part of a binary file\n");
	printf("Usage: cutter input.bin output.bin startaddress\n");
	return 1;
  }

  FILE* in = fopen(argv[1], "r");
  if(!in) {
	printf("Can't open inputfile %s\n", argv[1]);
	return 2;
  }
  FILE* out = fopen(argv[2], "w");
  if(!out) {
	printf("Can't open outputfile %s\n",argv[2]);
	fclose(in);
	return 2;
  }
  long int progstart=0;
  if(strstr(argv[3], "0x")==argv[3])
	argv[3]+=2;

  while(*argv[3] != '\0') {
	switch(*argv[3]) {
	  case '0': progstart = progstart*16+0; break;
	  case '1': progstart = progstart*16+1; break;
	  case '2': progstart = progstart*16+2; break;
	  case '3': progstart = progstart*16+3; break;
	  case '4': progstart = progstart*16+4; break;
	  case '5': progstart = progstart*16+5; break;
	  case '6': progstart = progstart*16+6; break;
	  case '7': progstart = progstart*16+7; break;
	  case '8': progstart = progstart*16+8; break;
	  case '9': progstart = progstart*16+9; break;
	  case 'A': case 'a': progstart = progstart*16+10; break;
	  case 'B': case 'b': progstart = progstart*16+11; break;
	  case 'C': case 'c': progstart = progstart*16+12; break;
	  case 'D': case 'd': progstart = progstart*16+13; break;
	  case 'E': case 'e': progstart = progstart*16+14; break;
	  case 'F': case 'f': progstart = progstart*16+15; break;
	}
	argv[3]++;
  }

  if(fseek(in, progstart, SEEK_SET)!=0) {
	printf("input file too small: %s", argv[1]);
  }

  char b;
  while(!feof(in)) {
    fread(&b, 1, 1, in);
    fwrite(&b, 1, 1, out);
#ifndef LINUX
    if(b=='\n') {
      // delete the \c
      fseek(out, -3, SEEK_CUR);
      fwrite(&b, 1, 1, out);
      fseek(in, -2, SEEK_CUR);
      fread(&b, 1, 1, in);
      fseek(out, -2, SEEK_CUR);
      fwrite(&b, 1, 1, out);
      fseek(in, 1, SEEK_CUR);
      fseek(out, 1, SEEK_CUR);
    }
#endif
  }
  fclose(out);
  fclose(in);
  printf("Success!\n");
  return 0;
}
