/*-------------------------------------------------------------------------
  ihx2hex - convert the output of sdcc to a proper hexfile

  Copyright (C) 2005 Florian Richter <Florian_Richter@gmx.de>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   In other words, you are welcome to use, share and improve this program.
   You are forbidden to forbid anyone else to use, share and improve
   what you give them.   Help stamp out software-hoarding!
-------------------------------------------------------------------------*/
/* Note: The records in the output-file of sdcc aren't in the right order.
   srec_cat rearrange them. Unfortunately, the output of srec_cat contains
   two records appsign doesn't understand. So the must be deleted.
   This program solves these problems. */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef MSDOS
#define LINUX
#endif

int main(int argc, char* argv[]) {
	char command[127];
	char buffer[3][127];

	if(argc!=3) {
		printf("ihx2hex: convert the output of sdcc to code for appsign\n");
		printf("usage: hx2hex input.ihx output.hex\n");
		return 1;
	}
	strcpy(command, "/usr/local/bin/srec_cat ");
	strcat(command, argv[1]);
	strcat(command, " -Intel -o temp.hex -Intel");
	if(system(command)!=0) {
		printf("couldn't run srec_cat");
	}
	FILE* in = fopen("temp.hex", "r");
	FILE* out = fopen(argv[2], "w");

	int i = 0;
	//char buffer[2][127];
	fgets(buffer[0], 127, in);
	// skip this line because it confuses appsign

	// always write the second line before the line which is being read
	fgets(buffer[i%4], 127, in);
	i++;
	fgets(buffer[i%4], 127, in);
	i++;
	fgets(buffer[i%4], 127, in);
	i++;
	while(!feof(in)) {
		fgets(buffer[i%4], 127, in);
		fputs(buffer[(i-3)%4], out);
		i++;
	}
	//skip the line before the last because it confuses appsign
	fputs(buffer[(i-2)%4], out);

	fclose(in);
	fclose(out);

#ifdef LINUX
	system("rm temp.hex");
#else
	system("del temp.hex");
#endif
	return 0;
}
