	;; Generic crt0.s for a Z80
        .module crt0
       	.globl	_main

	.area _HEADER (ABS)
	;; Reset vector
;	.org 	0
;	jp	init

;	.org	0x08
;	reti
;	.org	0x10
;	reti
;	.org	0x18
;	reti
;	.org	0x20
;	reti
;	.org	0x28
;	reti
;	.org	0x30
;	reti
;	.org	0x38
;	reti
	
	.org	0x4000
 .db 0x80,0x0F    ;Field: Program length
 .db   0x00,0x00,0x00,0x00 ;Length=0 (N/A for unsigned apps)
 .db 0x80,0x12    ;Field: Program type
 .db   0x01,0x04  ;Type= Shareware, TI-83Plus
 .db 0x80,0x21    ;Field: App ID
 .db   0x01       ;Id = 1
 .db 0x80,0x31    ;Field: App Build
 .db   0x01       ;Build = 1
 .db 0x80,0x48    ;Field: App Name
 .db 0x48,0x65,0x6c,0x6c,0x6f,0x20,0x20,0x20 ;Name = "Hello   " must be 8 characters
 .db 0x80,0x81    ;Field: App Pages
 .db 0x01         ;App Pages = 1
 .db 0x80,0x90    ;No default splash screen
 .db 0x03,0x26 ,0x09,0x04, 0x04,0x6f,0x1b,0x80     ;Field: Date stamp- 5/12/1999
 .db 0x02,0x0d,0x40                             ;Dummy encrypted TI date stamp signature
 .db 0xa1 ,0x6b ,0x99 ,0xf6 ,0x59 ,0xbc ,0x67 
 .db 0xf5 ,0x85 ,0x9c ,0x09 ,0x6c ,0x0f ,0xb4 ,0x03 ,0x9b ,0xc9 
 .db 0x03 ,0x32 ,0x2c ,0xe0 ,0x03 ,0x20 ,0xe3 ,0x2c ,0xf4 ,0x2d 
 .db 0x73 ,0xb4 ,0x27 ,0xc4 ,0xa0 ,0x72 ,0x54 ,0xb9 ,0xea ,0x7c 
 .db 0x3b ,0xaa ,0x16 ,0xf6 ,0x77 ,0x83 ,0x7a ,0xee ,0x1a ,0xd4 
 .db 0x42 ,0x4c ,0x6b ,0x8b ,0x13 ,0x1f ,0xbb ,0x93 ,0x8b ,0xfc 
 .db 0x19 ,0x1c ,0x3c ,0xec ,0x4d ,0xe5 ,0x75 
 .db 0x80,0x7F      ;Field: Program Image length
 .db   0,0,0,0    ;Length=0, N/A
 .db   0,0,0,0    ;Reserved
 .db   0,0,0,0    ;Reserved
 .db   0,0,0,0    ;Reserved
 .db   0,0,0,0    ;Reserved

;	ret
;	jr init
;	.db "sdcc prog", 0
init:
	;; Stack at the top of memory.
;	ld	sp,#0xffff

	ld (_saved_iy), iy	; save iy

        ;; Initialise global variables
        call    gsinit
	call	_main
	jp	_exit

	;; Ordering of segments for the linker.
	.area	_HOME
	.area	_CODE
        .area   _GSINIT
        .area   _GSFINAL
        
	.area	_DATA
        .area   _BSS
        .area   _HEAP

        .area   _CODE
__clock::
;	ld	a,#2
;        rst     0x08
	ret
	
_exit::
	;; Exit - special code to the emulator
;	ld	a,#0
;        rst     0x08
;1$:
;	halt
;	jr	1$

	ld iy, #0x89F0		;restore Flags
;  B_JUMP JForceCmdNoChar   ;Exit the application
	call 0x50
	.dw 0x4027
_saved_iy::
	.ds 2

        .area   _GSINIT
gsinit::	

        .area   _GSFINAL
        ret
	